{% extends '@ChillMain/layout.html.twig' %}

{% block title 'My tasks'|trans %}

{% block content %}
    <div class="col-md-10 col-xxl">

        <h1>{{ block('title') }}</h1>

        {{ filter_order|chill_render_filter_order_helper }}

        {% if tasks|length == 0 %}
            <p class="chill-no-data-statement">{{ 'Any tasks'|trans }}</p>
        {% else %}
            <div class="flex-table chill-task-list">
                {% for task in tasks %}
                    {% include '@ChillTask/SingleTask/List/index_item.html.twig' with { 'showContext' : true} %}
                {% endfor %}
            </div>
        {% endif %}

        {{ chill_pagination(paginator) }}

    </div>
{% endblock %}

{% block css %}
    {{ parent() }}
    {{ encore_entry_link_tags('page_task_list') }}
{% endblock %}
{% block js %}
    {{ parent() }}
    {{ encore_entry_script_tags('page_task_list') }}
{% endblock %}
